JsonCutDocs
V2 APIEndpointsWebhooks

Create a signed render webhook

Create a signed render webhook. Signed render lifecycle events with delivery inspection, testing and dead-letter replay. Required API key scopes: `renders:create`.

POST
/api/v2/webhooks

Authorization

apiKeyAuth

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/webhooks" \  -H "Content-Type: application/json" \  -d '{    "name": "Production callback",    "url": "https://example.com/jsoncut-events",    "eventTypes": [      "render.completed",      "render.failed"    ]  }'
{  "success": true,  "data": {    "id": "webhook_01J",    "name": "Production callback",    "url": "https://example.com/jsoncut-events",    "eventTypes": [      "render.completed",      "render.failed"    ],    "active": true,    "createdAt": "2026-08-25T09:00:00.000Z",    "updatedAt": "2026-08-25T09:00:00.000Z",    "secret": "whsec_returned_once"  }}